##### windows::basic_overlapped_handle::operator= (1 of 2 overloads)

Move-assign an overlapped handle from another.

    basic_overlapped_handle & operator=(
        basic_overlapped_handle && other);

This assignment operator moves a handle from one object to another.

###### Parameters

other

  The other overlapped handle object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `overlapped_handle(const executor_type&)` constructor.